View Issue Details

IDProjectCategoryView StatusLast Update
0015938MediaMonkey 5Tagging / organizing (properties / auto-tools)public2019-09-20 21:30
Reporterrusty Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015938: Auto-tag list refreshes by itself in some cases
DescriptionWhen auto-tagging tracks, the following triggers a refresh of the auto-tag list (resulting in a change of the order of the tracks):
- when playback of a song switches (sometimes)
- when rating the playing track (always)
TagsNo tags attached.
Fixed in build2199

Relationships

related to 0015917 closedLudek Tracklist/view moves by itself (sometimes continuously) [on search/filter] 

Activities

petr

2019-09-11 15:37

developer   ~0054594

Fixed

rusty

2019-09-12 22:51

administrator   ~0054603

Last edited: 2019-09-18 20:21

View 2 revisions

Tested 2196. Rating the currently playing track still causes the Auto-tag list to refresh:
1 Initiate playback of a bunch of tracks
2 Auto-tag a bunch of other tracks
3 As Auto-tag is in progress (and once it's complete), change Albums as desired
4 a) As tracks in the auto-tag dialog are in progress of being edited, rate the tracks from step 1 in the player
 b) Once editing of albums in the auto-tag dialog is completed , rate the tracks from step 1 in the player
--> For both cases 4a/4b, as tracks are rated, the tracks in the Auto-Tag dialog move (the issue occurs both when tracks are being looked up and once the lookups have completed--note that in both cases I was changing albums as described in step 3).

rusty

2019-09-18 20:33

administrator   ~0054699

As requested, here's a video illustrating this.

https://www.screencast.com/t/2WSJ40Ib

petr

2019-09-19 15:29

developer   ~0054714

Fixed

rusty

2019-09-20 21:30

administrator   ~0054760

Verified 2200.